> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Transactions

> Retrieve a collection of account transactions in reverse chronological order.

For details about account transfers created using the [POST /accounts/transfers](#/Transfers/createAccountTransfers) endpoint, refer to the [GET /accounts/transfers](#/Transfers/getAccountTransfers) endpoint.



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml get /accounts/transactions
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /accounts/transactions:
    get:
      tags:
        - Transactions
      summary: Get Account Transactions
      description: >-
        Retrieve a collection of account transactions in reverse chronological
        order.


        For details about account transfers created using the [POST
        /accounts/transfers](#/Transfers/createAccountTransfers) endpoint, refer
        to the [GET /accounts/transfers](#/Transfers/getAccountTransfers)
        endpoint.
      operationId: getAccountTransactions
      parameters:
        - $ref: '#/components/parameters/AccountId'
          required: true
        - name: transactionId
          description: Filter transactions by transaction id
          required: false
          in: query
          schema:
            type: string
        - name: search
          description: Search transactions by transaction description or ref id
          required: false
          in: query
          schema:
            type: string
        - $ref: '#/components/parameters/Xid'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PageToken'
        - $ref: '#/components/parameters/Start'
        - $ref: '#/components/parameters/End'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResult'
                  - type: object
                    properties:
                      transactions:
                        type: array
                        description: Transactions
                        items:
                          type: object
                          required:
                            - time
                            - asset
                          properties:
                            id:
                              type: string
                              description: id of transaction
                              format: uuid
                            createdAt:
                              type: string
                              description: Date/Time of transaction in ISO8601 format
                              format: date-time
                              example: '2022-11-10T07:47:09.415Z'
                            asset:
                              type: string
                              description: Asset symbol or currency
                              minLength: 2
                              example: USD
                            amount:
                              type: number
                              description: >-
                                Net amount transacted. A positive value
                                indicates a credit, a negative value indicates a
                                debit.
                              example: 10000.25
                            balance:
                              type: number
                              description: >-
                                Account balance of transacted asset after
                                transaction. This field will be null until
                                transaction has been fully posted
                              example: 10000.25
                            intent:
                              type: string
                              enum:
                                - transfer
                                - topup
                                - payout
                              description: >-
                                Intent of the instruction that caused the
                                transaction
                            intentId:
                              type: string
                              format: uuid
                              description: >-
                                id of the instruction that caused the
                                transaction
                            intentRefId:
                              type: string
                              format: uuid
                              description: >-
                                Reference id of the instruction that caused the
                                transaction
                            status:
                              type: string
                              enum:
                                - pending
                                - posted
                                - void
                              description: Status of the transaction
                            description:
                              type: string
                              description: Description of the transaction
                            accountNumber:
                              type: string
                              description: Account number of the transaction
                            accountLabel:
                              type: string
                              description: Account label of the transaction
                            fromAccountNumber:
                              type: string
                              description: From account number of the transaction
                            fromAccountLabel:
                              type: string
                              description: From account label of the transaction
                            toAccountNumber:
                              type: string
                              description: To account number of the transaction
                            toAccountLabel:
                              type: string
                              description: To account label of the transaction
                            xid:
                              $ref: '#/components/schemas/Xid'
                            Xmetadata:
                              $ref: '#/components/schemas/Xmetadata'
components:
  parameters:
    AccountId:
      name: accountId
      in: query
      description: Filter by one or more account id
      schema:
        type: array
        items:
          type: string
    Xid:
      name: xid
      in: query
      description: Filter by one or more xid
      schema:
        type: array
        items:
          type: string
    PageSize:
      name: pageSize
      in: query
      description: >
        Limits the number returned items

        Some collections have a upper bound that will disregard this value.

        In case the specified value is higher than the allowed limit, the
        collection limit will be used.

        If no page size is provided, the collection will determine the page size
        itself.
      schema:
        type: number
        minimum: 1
    PageToken:
      name: pageToken
      in: query
      schema:
        type: string
        example: aWVHZWV5OVgK
    Start:
      name: dateRangeFrom
      in: query
      schema:
        format: date-time
        type: string
        example: '2022-01-01T00:00:00.000Z'
    End:
      name: dateRangeTo
      in: query
      schema:
        format: date-time
        type: string
        example: '2022-01-31T23:59:59.999Z'
  schemas:
    PaginatedResult:
      type: object
      properties:
        prevPageToken:
          $ref: '#/components/schemas/PageToken'
        nextPageToken:
          $ref: '#/components/schemas/PageToken'
    Xid:
      type: string
      description: >-
        External identifier, unique across all resources created under this
        account.
    Xmetadata:
      type: object
      description: External metadata
      example:
        key1: value1
        key2:
          - value2.1
          - value2.2
      additionalProperties: true
      oneOf:
        - type: string
        - type: array
          items:
            type: string
    PageToken:
      type: string
      description: Opaque page token to retrieve next or previous set of results.
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````